## LassoIdWsf2UtilStatus LassoIdWsf2UtilStatus — <util:Status> |

## Functions

LassoIdWsf2UtilStatus * | lasso_idwsf2_util_status_new ()
LassoIdWsf2UtilStatus * | lasso_idwsf2_util_status_new_with_code ()

## Types and Values

struct | LassoIdWsf2UtilStatus

## Description

Figure 273. Schema fragment for util:Status

    <xs:complexType name="StatusType">
      <xs:annotation>
        <xs:documentation>
          A type that may be used for status codes.
        </xs:documentation>
      </xs:annotation>
      <xs:sequence>
        <xs:element ref="Status" minOccurs="0" maxOccurs="unbounded"/>
      </xs:sequence>
      <xs:attribute name="code" type="xs:string" use="required"/>
      <xs:attribute name="ref" type="IDReferenceType" use="optional"/>
      <xs:attribute name="comment" type="xs:string" use="optional"/>
    </xs:complexType>

## Functions

### lasso_idwsf2_util_status_new ()

    LassoIdWsf2UtilStatus *
    lasso_idwsf2_util_status_new (void);

Creates a new LassoIdWsf2UtilStatus object.

#### Returns

a newly created LassoIdWsf2UtilStatus object

### lasso_idwsf2_util_status_new_with_code ()

    LassoIdWsf2UtilStatus *
    lasso_idwsf2_util_status_new_with_code
                                   (const gchar *code1,
                                    const gchar *code2);

Creates a new LassoIdWsf2UtilStatus containing code1 and if code2 is not-NULL a nested LassoIdWsf2UtilStatus containing code2.

#### Parameters

code1 | first level code |
code2 | second level code |

#### Returns

a newly created LassoIdWsf2UtilStatus object

## Types and Values

### struct LassoIdWsf2UtilStatus

    struct LassoIdWsf2UtilStatus {
    	LassoNode parent;

    	/* elements */
    	GList *Status; /* of LassoIdWsf2UtilStatus */
    	/* attributes */
    	char *code;
    	char *ref;
    	char *comment;
    };